org.apache.jmeter.util

## Class SlowSocket

- java.lang.Object
- - java.net.Socket
  - - org.apache.jmeter.util.SlowSocket

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class SlowSocket
      extends java.net.Socket

  "Slow" (non-SSL) socket implementation to emulate dial-up modems etc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SlowSocket(int cps)` Added for use by SlowHC4SocketFactory.
    `SlowSocket(int cps, java.lang.String host, int port)`
    `SlowSocket(int cps, java.lang.String host, int port, java.net.InetAddress localAddr, int localPort)`
    `SlowSocket(int cps, java.lang.String host, int port, java.net.InetAddress localAddress, int localPort, int timeout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getInputStream()`
    `java.io.OutputStream` | `getOutputStream()`

    - ### Methods inherited from class java.net.Socket

      `bind, close, connect, connect, getChannel, getInetAddress, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setKeepAlive, setOOBInline, setPerformancePreferences, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSocketImplFactory, setSoLinger, setSoTimeout, setTcpNoDelay, setTrafficClass, shutdownInput, shutdownOutput, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SlowSocket

          public SlowSocket(int cps,
                            java.lang.String host,
                            int port,
                            java.net.InetAddress localAddress,
                            int localPort,
                            int timeout)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### SlowSocket

          public SlowSocket(int cps,
                            java.lang.String host,
                            int port,
                            java.net.InetAddress localAddr,
                            int localPort)
                     throws java.io.IOException

      Parameters:
        `cps` - characters per second
        `host` - hostname
        `port` - port
        `localAddr` - local address
        `localPort` - local port
      Throws:
        `java.io.IOException` - if an I/O error occurs during initialization
        `java.lang.IllegalArgumentException` - if cps <= 0, or if the `port` or `localPort` values lie outside of the allowed range between `0` and `65535`

    - #### SlowSocket

          public SlowSocket(int cps,
                            java.lang.String host,
                            int port)
                     throws java.net.UnknownHostException,
                            java.io.IOException

      Parameters:
        `cps` - characters per second
        `host` - hostname
        `port` - port
      Throws:
        `java.net.UnknownHostException` - if the name of the host can not be determined automatically
        `java.io.IOException` - if an I/O error occurs during initialization
        `java.lang.IllegalArgumentException` - if cps <= 0, or if the `port` or `localPort` values lie outside of the allowed range between `0` and `65535`

    - #### SlowSocket

          public SlowSocket(int cps)

      Added for use by SlowHC4SocketFactory.
      Parameters:
        `cps` - characters per second

  - ### Method Detail

    - #### getOutputStream

          public java.io.OutputStream getOutputStream()
                                               throws java.io.IOException

      Overrides:
        `getOutputStream` in class `java.net.Socket`
      Throws:
        `java.io.IOException`

    - #### getInputStream

          public java.io.InputStream getInputStream()
                                             throws java.io.IOException

      Overrides:
        `getInputStream` in class `java.net.Socket`
      Throws:
        `java.io.IOException`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.